Subject: Re: [PATCH 1/6] run-command API: replace run_processes_parallel_tr2() with opts struct

From: Junio C Hamano <[email-masked]>
Date: Fri, 29 Apr 2022 09:44:28 -0700

Emily Shaffer <[email-masked]> writes:

> If I'm being honest, I'd rather see everything _but_ the trace2 stuff go
> into an opts struct, and then see the same entry points we have today
> (run_processes_parallel that takes a struct, run_processes_parallel_tr2
> that takes a struct and two tr2 string args). Or, I guess, a single
> run_processes_parallel() that only takes a struct, does the right thing
> with the trace args, and entirely removes the
> run_processes_parallel_tr2 call.

Yup, it was the impression I had when I saw this patch for the first
time.